%define pkg_name        Alien-wxWidgets
%define pkg_version     0.32
%define rpm_pkg_version 0.32
%define rpm_pkg_release 1.n0i.3


Summary:       Building, finding and using wxWidgets binaries
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MB/MBARBON/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(Module::Pluggable) >= 2.6
BuildRequires: perl(Module::Build)
BuildRequires: wxGTK-devel
%{!?_without_test:BuildRequires: perl(Module::Pluggable) >= 2.6}


%description
"Alien::wxWidgets" can be used to detect and get configuration settings
from an installed wxWidgets.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF
%{fix_perl_path patches/ script/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_vendorarch}/Alien
%{_mandir}/man3/*.3pm.*
%doc Changes README.txt


%changelog
* Mon Aug 20 2007 Marius Feraru <altblue@n0i.net> - 0.32-1.n0i.3
- version 0.32

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.31-1.n0i.2
- version 0.31

* Tue Apr 18 2006 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
